stages:
 - build

variables:
  IMAGE_DESTINATION: "eu.gcr.io/stack-labs-registry/demo-k8s-basics/server"
  # GOOGLE_APPLICATION_CREDENTIALS: "defined in Gitlab > Settings > CI/CD > Variables"

workflow:
  rules:
    - if: '$CI_COMMIT_TAG'
 
build:
  stage: build
  image:
    name: gcr.io/kaniko-project/executor:debug 
    entrypoint: [""]
  script:
    - |
      /kaniko/executor \
        --context=$CI_PROJECT_DIR/server \
        --dockerfile=Dockerfile \
        --destination $IMAGE_DESTINATION:$CI_COMMIT_TAG \
        --destination $IMAGE_DESTINATION:latest 
